> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scheduled Sales Orders For Org

> Derives upcoming scheduled sales for every trading plan in the caller's org from unsettled vestings or lockups.

Not available to API keys yet. It will need `grants:read` and `banking:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-scheduled-sales-orders-for-org
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-scheduled-sales-orders-for-org:
    post:
      operationId: getScheduledSalesOrdersForOrg
      summary: Get Scheduled Sales Orders For Org
      description: >-
        Derives upcoming scheduled sales for every trading plan in the caller's
        org from unsettled vestings or lockups.


        Not available to API keys yet. It will need `grants:read` and
        `banking:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetScheduledSalesOrdersForOrgRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScheduledSalesOrdersForOrgResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetScheduledSalesOrdersForOrgRequest: {}
    GetScheduledSalesOrdersForOrgResponse:
      type: array
      items:
        type: object
        properties:
          scheduleID:
            type: string
          roleInOrgID:
            type: string
          tradingPlanID:
            type: string
          grantID:
            type: string
          grantName:
            type: string
          recipientName:
            type: string
          executionDate:
            type: string
          tokensSoldFor:
            type: string
            enum:
              - EURC
              - USDC
              - USDT
          tokensScheduledForSale:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          minSalePrice:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          receivingWallet:
            type: string
          receivingNetwork:
            type: string
        required:
          - scheduleID
          - roleInOrgID
          - tradingPlanID
          - grantID
          - grantName
          - recipientName
          - executionDate
          - tokensSoldFor
          - tokensScheduledForSale
          - minSalePrice
          - receivingWallet
          - receivingNetwork
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
